// MKINITCPIO + UKI

use crate::{print_status, run_command};

use super::str_vec;

pub fn setup_mkinitcpio() {
    print_status("Writing /etc/mkinitcpio.d/linux.preset");
    std::fs::write(
        "/mnt/etc/mkinitcpio.d/linux.preset",
        include_str!("../root/mkinitcpio/linux.preset"),
    )
    .unwrap();
    // TODO : more configs
    print_status("Writing /etc/mkinitcpio.conf");
    std::fs::write(
        "/mnt/etc/mkinitcpio.conf",
        include_str!("../root/mkinitcpio.conf"),
    )
    .unwrap();
    run_command(
        &str_vec(vec!["arch-chroot", "/mnt", "mkinitcpio", "--allpresets"]),
        None,
        true,
    );
}
